Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Wed, 18 Jul 2018 09:07:11 +0200

> I think your idea of using a container window is the way to go.  Now
 > suppose we used a non-scrolled container window to put the menu bar
 > in, get its size before updating the menu bar, update the menu bar and
 > make a gtk_widget_set_size request for that container window to

Probably this must be gdk_window_move_resize or else we would have to
set the policy of the container window to allow shrinking.

 > restore its previous size.  Would that fail and why?

martin